/* Programs */

* Installing key programs
	
	ssc install avg_effect, replace 
	ssc install xml_tab, replace
	ssc install estout, replace 

	
* Setting globals 

	global interact_4type_60 "gov ngo goodpriv_60 rc_gov rc_ngo rc_goodpriv_60" 
	global interact_type_good_60 "gov S_above_60 rc_gov rc_S_above_60 gov_S_above_60 rc_gov_S_above_60 ngo rc_ngo rc_ngo_S_above_60 ngo_S_above_60" 
	global interact_herf_60 "herf_high gov_herf_high goodpriv_60_herf_high ngo_herf_high rc_herf_high rc_gov_herf_high rc_goodpriv_60_herf_high rc_ngo_herf_high"
	global control "mauza_wealth mauza_numhh mauza_schoolherf mauza_literacy"
	
* Tests of coefficients 
	
	cap program drop f_test_60
	program f_test_60

		test reportcard = 0 
		estadd scalar bad_60_c = _coef[reportcard]
		estadd scalar bad_60_p = `r(p)'
		
		test reportcard + rc_goodpriv_60 = 0 
		estadd scalar good_60_c = _coef[reportcard] + _coef[rc_goodpriv_60]
		estadd scalar good_60_p = `r(p)'
		
		cap test reportcard + rc_gov = 0 
		cap estadd scalar gov_60_c = _coef[reportcard] + _coef[rc_gov]
		cap estadd scalar gov_60_p = `r(p)'


	end

	cap program drop f_test1_60
	program f_test1_60
		
		test reportcard = 0
		estadd scalar badpriv1_60_c = _coef[reportcard]
		estadd scalar badpriv1_60_p = r(p)

		test reportcard + rc_S_above_60 = 0
		estadd scalar goodpriv1_60_c = _coef[reportcard] + _coef[rc_S_above_60]
		estadd scalar goodpriv1_60_p = r(p)
		
		test reportcard + rc_S_above_60 + rc_gov + rc_gov_S_above_60 = 0
		estadd scalar goodgov1_60_c =  _coef[reportcard] + _coef[rc_gov] + _coef[rc_S_above_60] + _coef[rc_gov_S_above_60]
		estadd scalar goodgov1_60_p = r(p)

		test reportcard + rc_gov = 0
		estadd scalar badgov1_60_c = _coef[reportcard] + _coef[rc_gov]
		estadd scalar badgov1_60_p = r(p)	
	end

	cap program drop f_test_gp_M60
	program f_test_gp_M60

		test reportcard = 0 
		estadd scalar bad_60_c = _coef[reportcard]
		estadd scalar bad_60_p = `r(p)'
		
		test reportcard + rc_goodpriv_M60 = 0 
		estadd scalar good_60_c = _coef[reportcard] + _coef[rc_goodpriv_M60]
		estadd scalar good_60_p = `r(p)'

		cap test reportcard + rc_gov = 0 
		cap estadd scalar gov_60_c = _coef[reportcard] + _coef[rc_gov]
		cap estadd scalar gov_60_p = `r(p)'

	end

	cap program drop f_test_4type_M	
	program f_test_4type_M

		test reportcard = 0
		estadd scalar bad_60_c = _coef[reportcard] 
		estadd scalar bad_60_p = r(p)
		
		test reportcard + rc_goodpriv_M = 0
		estadd scalar good_60_c = _coef[reportcard] + _coef[rc_goodpriv_M]
		estadd scalar good_60_p = r(p)
			
		cap test reportcard + rc_gov = 0
		cap estadd scalar gov_60_c = _coef[reportcard] + _coef[rc_gov]
		cap estadd scalar gov_60_p = r(p)

	end
	
	cap program drop f_test_4type
	program f_test_4type

		test reportcard = 0
		estadd scalar  bad_60_c = _coef[reportcard]
		estadd scalar  bad_60_p = r(p)
		
		test reportcard + rc_goodpriv = 0
		estadd scalar good_60_c = _coef[reportcard]  + _coef[rc_goodpriv]
		estadd scalar good_60_p = r(p)

		cap test reportcard + rc_gov = 0
		cap estadd scalar gov_60_c = _coef[reportcard]  + _coef[rc_gov]
		cap estadd scalar gov_60_p = r(p)

	end
	
	cap program drop f_test_c_60
	program f_test_c_60
	
		test reportcard = 0
		estadd scalar bad_priv_bad_c = _coef[reportcard]
		estadd scalar bad_priv_bad_p = `r(p)'

		test reportcard + rc_child_above = 0
		estadd scalar bad_priv_good_c = _coef[reportcard] + _coef[rc_child_above]
		estadd scalar bad_priv_good_p = `r(p)'

		test reportcard + rc_goodpriv_60 = 0
		estadd scalar good_priv_bad_c = _coef[reportcard]  + _coef[rc_goodpriv_60]
		estadd scalar good_priv_bad_p = `r(p)'
			
		test reportcard + rc_child_above + rc_goodpriv_60 + rc_goodpriv_60_child_above = 0
		estadd scalar good_priv_good_c = _coef[reportcard]  + _coef[rc_child_above] + _coef[rc_goodpriv_60] + _coef[rc_goodpriv_60_child_above]
		estadd scalar good_priv_good_p = `r(p)'
		
		test reportcard + rc_gov = 0
		estadd scalar gov_bad_c = _coef[reportcard]  + _coef[rc_gov] 
		estadd scalar gov_bad_p = `r(p)'

		test reportcard + rc_gov + rc_child_above	+ rc_gov_child_above = 0
		estadd scalar gov_good_c = _coef[reportcard]  + _coef[rc_child_above] + _coef[rc_gov] + _coef[rc_gov_child_above]
		estadd scalar gov_good_p = `r(p)'

	end

	cap program drop f_test_c_S_60
	program f_test_c_S_60

		test reportcard = 0
		estadd scalar bad_priv_badS_c = _coef[reportcard]
		estadd scalar bad_priv_badS_p = `r(p)'

		test reportcard + rc_child_above_S = 0
		estadd scalar bad_priv_goodS_c = _coef[reportcard] + _coef[rc_child_above_S]
		estadd scalar bad_priv_goodS_p = `r(p)'

		test reportcard + rc_goodpriv_60 = 0
		estadd scalar good_priv_badS_c = _coef[reportcard] + _coef[rc_goodpriv_60]
		estadd scalar good_priv_badS_p = `r(p)'

		test reportcard + rc_child_above_S + rc_goodpriv_60 + rc_goodpriv_60_child_above_S = 0
		estadd scalar good_priv_goodS_c = _coef[reportcard] + _coef[rc_child_above_S] + _coef[rc_goodpriv_60] + _coef[rc_goodpriv_60_child_above_S]
		estadd scalar good_priv_goodS_p = `r(p)'

		test reportcard + rc_gov = 0
		estadd scalar gov_badS_c = _coef[reportcard] + _coef[rc_gov]
		estadd scalar gov_badS_p = `r(p)'

		test reportcard + rc_gov + rc_child_above_S	+ rc_gov_child_above_S = 0
		estadd scalar gov_goodS_c = _coef[reportcard]  + _coef[rc_gov] + _coef[rc_child_above_S] + _coef[rc_gov_child_above_S]
		estadd scalar gov_goodS_p = `r(p)'

	end
	
	
	cap program drop f_test_herf_type_60
	program f_test_herf_type_60

		test reportcard = 0
		estadd scalar bad_priv_low_c = _coef[reportcard]
		estadd scalar bad_priv_low_p = `r(p)'

		test reportcard + rc_herf_high = 0
		estadd scalar bad_priv_high_c = _coef[reportcard] + _coef[rc_herf_high]
		estadd scalar bad_priv_high_p = `r(p)'

		cap test reportcard + rc_goodpriv_60 = 0
		cap estadd scalar good_priv_low_c = _coef[reportcard] + _coef[rc_goodpriv_60]
		cap estadd scalar good_priv_low_p = `r(p)'

		cap test reportcard + rc_herf_high + rc_goodpriv_60 + rc_goodpriv_60_herf_high = 0
		cap estadd scalar good_priv_high_c = _coef[reportcard] + _coef[rc_herf_high] + _coef[rc_goodpriv_60] + _coef[rc_goodpriv_60_herf_high]
		cap estadd scalar good_priv_high_p = `r(p)'

		cap test reportcard + rc_gov = 0
		cap estadd scalar gov_low_c = _coef[reportcard] + _coef[rc_gov]
		cap estadd scalar gov_low_p = `r(p)'

		cap test reportcard + rc_herf_high + rc_gov  + rc_gov_herf_high = 0
		cap estadd scalar gov_high_c = _coef[reportcard] + _coef[rc_herf_high] + _coef[rc_gov] + _coef[rc_gov_herf_high]
		cap estadd scalar gov_high_p = `r(p)'

	end

	cap program drop f_test_herf_type_60_priv
	program f_test_herf_type_60_priv

		test reportcard = 0
		estadd scalar bad_priv_low_c = _coef[reportcard]
		estadd scalar bad_priv_low_p = `r(p)'

		test reportcard + rc_herf_high = 0
		estadd scalar bad_priv_high_c = _coef[reportcard] + _coef[rc_herf_high]
		estadd scalar bad_priv_high_p = `r(p)'

		cap test reportcard + rc_goodpriv_60 = 0
		cap estadd scalar good_priv_low_c = _coef[reportcard] + _coef[rc_goodpriv_60]
		cap estadd scalar good_priv_low_p = `r(p)'

		cap test reportcard + rc_herf_high + rc_goodpriv_60 + rc_goodpriv_60_herf_high = 0
		cap estadd scalar good_priv_high_c = _coef[reportcard] + _coef[rc_herf_high] + _coef[rc_goodpriv_60] + _coef[rc_goodpriv_60_herf_high]
		cap estadd scalar good_priv_high_p = `r(p)'


	end
